Browse Source

Add required role repo contents

- Add tox configuration
- Add requirements and test-requirements.txt
- Add setup files
- Add ci-scripts for ansible-lint
- Add cookiecutter directories and yml files

Change-Id: Ia42a88a2ef3019900ca5ad5ab348d35b9bc9c543
Jill Rouleau 10 months ago
parent
commit
e6fe1a12d2
14 changed files with 388 additions and 0 deletions
  1. 176
    0
      LICENSE
  2. 29
    0
      README.md
  3. 6
    0
      ansible-requirements.txt
  4. 8
    0
      ansible.cfg
  5. 21
    0
      ci-scripts/ansible-lint.sh
  6. 1
    0
      defaults/main.yml
  7. 17
    0
      meta/main.yml
  8. 2
    0
      requirements.txt
  9. 35
    0
      setup.cfg
  10. 19
    0
      setup.py
  11. 1
    0
      tasks/main.yml
  12. 1
    0
      test-requirements.txt
  13. 60
    0
      tox.ini
  14. 12
    0
      zuul.d/layout.yaml

+ 176
- 0
LICENSE View File

@@ -0,0 +1,176 @@
1
+
2
+                                 Apache License
3
+                           Version 2.0, January 2004
4
+                        http://www.apache.org/licenses/
5
+
6
+   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION
7
+
8
+   1. Definitions.
9
+
10
+      "License" shall mean the terms and conditions for use, reproduction,
11
+      and distribution as defined by Sections 1 through 9 of this document.
12
+
13
+      "Licensor" shall mean the copyright owner or entity authorized by
14
+      the copyright owner that is granting the License.
15
+
16
+      "Legal Entity" shall mean the union of the acting entity and all
17
+      other entities that control, are controlled by, or are under common
18
+      control with that entity. For the purposes of this definition,
19
+      "control" means (i) the power, direct or indirect, to cause the
20
+      direction or management of such entity, whether by contract or
21
+      otherwise, or (ii) ownership of fifty percent (50%) or more of the
22
+      outstanding shares, or (iii) beneficial ownership of such entity.
23
+
24
+      "You" (or "Your") shall mean an individual or Legal Entity
25
+      exercising permissions granted by this License.
26
+
27
+      "Source" form shall mean the preferred form for making modifications,
28
+      including but not limited to software source code, documentation
29
+      source, and configuration files.
30
+
31
+      "Object" form shall mean any form resulting from mechanical
32
+      transformation or translation of a Source form, including but
33
+      not limited to compiled object code, generated documentation,
34
+      and conversions to other media types.
35
+
36
+      "Work" shall mean the work of authorship, whether in Source or
37
+      Object form, made available under the License, as indicated by a
38
+      copyright notice that is included in or attached to the work
39
+      (an example is provided in the Appendix below).
40
+
41
+      "Derivative Works" shall mean any work, whether in Source or Object
42
+      form, that is based on (or derived from) the Work and for which the
43
+      editorial revisions, annotations, elaborations, or other modifications
44
+      represent, as a whole, an original work of authorship. For the purposes
45
+      of this License, Derivative Works shall not include works that remain
46
+      separable from, or merely link (or bind by name) to the interfaces of,
47
+      the Work and Derivative Works thereof.
48
+
49
+      "Contribution" shall mean any work of authorship, including
50
+      the original version of the Work and any modifications or additions
51
+      to that Work or Derivative Works thereof, that is intentionally
52
+      submitted to Licensor for inclusion in the Work by the copyright owner
53
+      or by an individual or Legal Entity authorized to submit on behalf of
54
+      the copyright owner. For the purposes of this definition, "submitted"
55
+      means any form of electronic, verbal, or written communication sent
56
+      to the Licensor or its representatives, including but not limited to
57
+      communication on electronic mailing lists, source code control systems,
58
+      and issue tracking systems that are managed by, or on behalf of, the
59
+      Licensor for the purpose of discussing and improving the Work, but
60
+      excluding communication that is conspicuously marked or otherwise
61
+      designated in writing by the copyright owner as "Not a Contribution."
62
+
63
+      "Contributor" shall mean Licensor and any individual or Legal Entity
64
+      on behalf of whom a Contribution has been received by Licensor and
65
+      subsequently incorporated within the Work.
66
+
67
+   2. Grant of Copyright License. Subject to the terms and conditions of
68
+      this License, each Contributor hereby grants to You a perpetual,
69
+      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
70
+      copyright license to reproduce, prepare Derivative Works of,
71
+      publicly display, publicly perform, sublicense, and distribute the
72
+      Work and such Derivative Works in Source or Object form.
73
+
74
+   3. Grant of Patent License. Subject to the terms and conditions of
75
+      this License, each Contributor hereby grants to You a perpetual,
76
+      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
77
+      (except as stated in this section) patent license to make, have made,
78
+      use, offer to sell, sell, import, and otherwise transfer the Work,
79
+      where such license applies only to those patent claims licensable
80
+      by such Contributor that are necessarily infringed by their
81
+      Contribution(s) alone or by combination of their Contribution(s)
82
+      with the Work to which such Contribution(s) was submitted. If You
83
+      institute patent litigation against any entity (including a
84
+      cross-claim or counterclaim in a lawsuit) alleging that the Work
85
+      or a Contribution incorporated within the Work constitutes direct
86
+      or contributory patent infringement, then any patent licenses
87
+      granted to You under this License for that Work shall terminate
88
+      as of the date such litigation is filed.
89
+
90
+   4. Redistribution. You may reproduce and distribute copies of the
91
+      Work or Derivative Works thereof in any medium, with or without
92
+      modifications, and in Source or Object form, provided that You
93
+      meet the following conditions:
94
+
95
+      (a) You must give any other recipients of the Work or
96
+          Derivative Works a copy of this License; and
97
+
98
+      (b) You must cause any modified files to carry prominent notices
99
+          stating that You changed the files; and
100
+
101
+      (c) You must retain, in the Source form of any Derivative Works
102
+          that You distribute, all copyright, patent, trademark, and
103
+          attribution notices from the Source form of the Work,
104
+          excluding those notices that do not pertain to any part of
105
+          the Derivative Works; and
106
+
107
+      (d) If the Work includes a "NOTICE" text file as part of its
108
+          distribution, then any Derivative Works that You distribute must
109
+          include a readable copy of the attribution notices contained
110
+          within such NOTICE file, excluding those notices that do not
111
+          pertain to any part of the Derivative Works, in at least one
112
+          of the following places: within a NOTICE text file distributed
113
+          as part of the Derivative Works; within the Source form or
114
+          documentation, if provided along with the Derivative Works; or,
115
+          within a display generated by the Derivative Works, if and
116
+          wherever such third-party notices normally appear. The contents
117
+          of the NOTICE file are for informational purposes only and
118
+          do not modify the License. You may add Your own attribution
119
+          notices within Derivative Works that You distribute, alongside
120
+          or as an addendum to the NOTICE text from the Work, provided
121
+          that such additional attribution notices cannot be construed
122
+          as modifying the License.
123
+
124
+      You may add Your own copyright statement to Your modifications and
125
+      may provide additional or different license terms and conditions
126
+      for use, reproduction, or distribution of Your modifications, or
127
+      for any such Derivative Works as a whole, provided Your use,
128
+      reproduction, and distribution of the Work otherwise complies with
129
+      the conditions stated in this License.
130
+
131
+   5. Submission of Contributions. Unless You explicitly state otherwise,
132
+      any Contribution intentionally submitted for inclusion in the Work
133
+      by You to the Licensor shall be under the terms and conditions of
134
+      this License, without any additional terms or conditions.
135
+      Notwithstanding the above, nothing herein shall supersede or modify
136
+      the terms of any separate license agreement you may have executed
137
+      with Licensor regarding such Contributions.
138
+
139
+   6. Trademarks. This License does not grant permission to use the trade
140
+      names, trademarks, service marks, or product names of the Licensor,
141
+      except as required for reasonable and customary use in describing the
142
+      origin of the Work and reproducing the content of the NOTICE file.
143
+
144
+   7. Disclaimer of Warranty. Unless required by applicable law or
145
+      agreed to in writing, Licensor provides the Work (and each
146
+      Contributor provides its Contributions) on an "AS IS" BASIS,
147
+      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
148
+      implied, including, without limitation, any warranties or conditions
149
+      of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
150
+      PARTICULAR PURPOSE. You are solely responsible for determining the
151
+      appropriateness of using or redistributing the Work and assume any
152
+      risks associated with Your exercise of permissions under this License.
153
+
154
+   8. Limitation of Liability. In no event and under no legal theory,
155
+      whether in tort (including negligence), contract, or otherwise,
156
+      unless required by applicable law (such as deliberate and grossly
157
+      negligent acts) or agreed to in writing, shall any Contributor be
158
+      liable to You for damages, including any direct, indirect, special,
159
+      incidental, or consequential damages of any character arising as a
160
+      result of this License or out of the use or inability to use the
161
+      Work (including but not limited to damages for loss of goodwill,
162
+      work stoppage, computer failure or malfunction, or any and all
163
+      other commercial damages or losses), even if such Contributor
164
+      has been advised of the possibility of such damages.
165
+
166
+   9. Accepting Warranty or Additional Liability. While redistributing
167
+      the Work or Derivative Works thereof, You may choose to offer,
168
+      and charge a fee for, acceptance of support, warranty, indemnity,
169
+      or other liability obligations and/or rights consistent with this
170
+      License. However, in accepting such obligations, You may act only
171
+      on Your own behalf and on Your sole responsibility, not on behalf
172
+      of any other Contributor, and only if You agree to indemnify,
173
+      defend, and hold each Contributor harmless for any liability
174
+      incurred by, or claims asserted against, such Contributor by reason
175
+      of your accepting any such warranty or additional liability.
176
+

+ 29
- 0
README.md View File

@@ -0,0 +1,29 @@
1
+# TripleO aodh#
2
+
3
+A role to manage aodh tasks for TripleO
4
+
5
+## Role Variables ##
6
+
7
+**Variables used for aodh**
8
+
9
+| Name              | Default Value       | Description          |
10
+|-------------------|---------------------|----------------------|
11
+| | | |
12
+
13
+
14
+## Requirements ##
15
+
16
+ - ansible >= 2.4
17
+ - python >= 2.6
18
+
19
+## Dependencies ##
20
+
21
+None
22
+
23
+## Example Playbooks ##
24
+
25
+
26
+
27
+## License ##
28
+
29
+Apache 2.0

+ 6
- 0
ansible-requirements.txt View File

@@ -0,0 +1,6 @@
1
+# These are required here because ansible can't be in global-requirements due
2
+# to licensing conflicts. But we sill need to be able to pull them in for
3
+# lint checks and want to document these as ansible specific things that may
4
+# be required for this repository.
5
+ansible
6
+ansible-lint

+ 8
- 0
ansible.cfg View File

@@ -0,0 +1,8 @@
1
+[defaults]
2
+gathering = smart
3
+command_warnings = False
4
+retry_files_enabled = False
5
+callback_whitelist = profile_tasks
6
+
7
+# Attempt to load custom modules whether it's installed system-wide or from a virtual environment
8
+roles_path = roles:$VIRTUAL_ENV/usr/share/ansible/roles/tripleo-aodh:$VIRTUAL_ENV/usr/local/share/

+ 21
- 0
ci-scripts/ansible-lint.sh View File

@@ -0,0 +1,21 @@
1
+#!/bin/bash
2
+
3
+# ANSIBLE0006: Using command rather than module
4
+#   we have a few use cases where we need to use curl and rsync
5
+# ANSIBLE0007: Using command rather than an argument to e.g file
6
+#   we have a lot of 'rm' command and we should use file module instead
7
+# ANSIBLE0010: Package installs should not use latest.
8
+#   Sometimes we need to update some packages.
9
+# ANSIBLE0012: Commands should not change things if nothing needs doing
10
+# ANSIBLE0013: Use Shell only when shell functionality is required
11
+# ANSIBLE0016: Tasks that run when changed should likely be handlers
12
+#   this requires refactoring roles, skipping for now
13
+SKIPLIST="ANSIBLE0006,ANSIBLE0007,ANSIBLE0010,ANSIBLE0012,ANSIBLE0013,ANSIBLE0016"
14
+
15
+# Lin the role.
16
+ansible-lint -vvv -x $SKIPLIST ./ || lint_error=1
17
+
18
+# exit with 1 if we had a least an error or warning.
19
+if [[ -n "$lint_error" ]]; then
20
+    exit 1;
21
+fi

+ 1
- 0
defaults/main.yml View File

@@ -0,0 +1 @@
1
+---

+ 17
- 0
meta/main.yml View File

@@ -0,0 +1,17 @@
1
+galaxy_info:
2
+  author: TripleO Team
3
+  description:  aodh role for TripleO
4
+  company: Red Hat
5
+  license: Apache 2.0
6
+  min_ansible_version: 2.4
7
+
8
+  platforms:
9
+  - name: EL
10
+    versions:
11
+      - 7
12
+
13
+  galaxy_tags:
14
+    - openstack
15
+    - tripleo
16
+
17
+dependencies: []

+ 2
- 0
requirements.txt View File

@@ -0,0 +1,2 @@
1
+pbr>=1.6
2
+ansible

+ 35
- 0
setup.cfg View File

@@ -0,0 +1,35 @@
1
+[metadata]
2
+name = ansible-role-tripleo-aodh
3
+summary = ansible-role-tripleo-aodh - Ansible aodh role for the TripleO project.
4
+description-file =
5
+    README.md
6
+author = TripleO Team
7
+author-email = jillr@redhat.com
8
+home-page = https://git.openstack.org/cgit/openstack/ansible-role-tripleo-aodh
9
+classifier =
10
+  License :: OSI Approved :: Apache Software License
11
+  Development Status :: 4 - Beta
12
+  Intended Audience :: Developers
13
+  Intended Audience :: System Administrators
14
+  Intended Audience :: Information Technology
15
+  Topic :: Utilities
16
+
17
+[global]
18
+setup-hooks =
19
+    pbr.hooks.setup_hook
20
+
21
+[files]
22
+data_files =
23
+    share/ansible/roles/tripleo-aodh/defaults = defaults/*
24
+    share/ansible/roles/tripleo-aodh/meta = meta/*
25
+    share/ansible/roles/tripleo-aodh/tasks = tasks/*
26
+    share/ansible/roles/tripleo-aodh/templates = templates/*
27
+    share/ansible/roles/tripleo-aodh/files = files/*
28
+
29
+[wheel]
30
+universal = 1
31
+
32
+[pbr]
33
+skip_authors = True
34
+skip_changelog = True
35
+

+ 19
- 0
setup.py View File

@@ -0,0 +1,19 @@
1
+#   Copyright Red Hat, Inc. All Rights Reserved.
2
+#
3
+#   Licensed under the Apache License, Version 2.0 (the "License"); you may
4
+#   not use this file except in compliance with the License. You may obtain
5
+#   a copy of the License at
6
+#
7
+#       http://www.apache.org/licenses/LICENSE-2.0
8
+#
9
+#   Unless required by applicable law or agreed to in writing, software
10
+#   distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
11
+#   WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
12
+#   License for the specific language governing permissions and limitations
13
+#   under the License.
14
+
15
+import setuptools
16
+
17
+setuptools.setup(
18
+    setup_requires=['pbr'],
19
+    pbr=True)

+ 1
- 0
tasks/main.yml View File

@@ -0,0 +1 @@
1
+---

+ 1
- 0
test-requirements.txt View File

@@ -0,0 +1 @@
1
+hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0

+ 60
- 0
tox.ini View File

@@ -0,0 +1,60 @@
1
+[tox]
2
+minversion = 1.6
3
+envlist = docs, linters
4
+skipdist = True
5
+
6
+[testenv]
7
+usedevelop = True
8
+install_command = pip install -c{env:UPPER_CONSTRAINTS_FILE:https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt} {opts} {packages}
9
+setenv = VIRTUAL_ENV={envdir}
10
+deps = -r{toxinidir}/test-requirements.txt
11
+whitelist_externals = bash
12
+
13
+[testenv:bindep]
14
+# Do not install any requirements. We want this to be fast and work even if
15
+# system dependencies are missing, since it's used to tell you what system
16
+# dependencies are missing! This also means that bindep must be installed
17
+# separately, outside of the requirements files.
18
+deps = bindep
19
+commands = bindep test
20
+
21
+[testenv:pep8]
22
+commands =
23
+    # Run hacking/flake8 check for all python files
24
+    bash -c "git ls-files | grep -v releasenotes |  xargs grep --binary-files=without-match \
25
+        --files-with-match '^.!.*python$' \
26
+        --exclude-dir .tox \
27
+        --exclude-dir .git \
28
+        --exclude-dir .eggs \
29
+        --exclude-dir *.egg-info \
30
+        --exclude-dir dist \
31
+        --exclude-dir *lib/python* \
32
+        --exclude-dir doc \
33
+        | xargs flake8 --verbose"
34
+
35
+[testenv:ansible-lint]
36
+basepython=python2
37
+commands =
38
+  bash ci-scripts/ansible-lint.sh
39
+
40
+[testenv:linters]
41
+deps =
42
+    -r{toxinidir}/test-requirements.txt
43
+    -r{toxinidir}/ansible-requirements.txt
44
+commands =
45
+    {[testenv:pep8]commands}
46
+    {[testenv:ansible-lint]commands}
47
+
48
+[testenv:releasenotes]
49
+whitelist_externals = bash
50
+commands = bash -c ci-scripts/releasenotes_tox.sh
51
+
52
+[testenv:venv]
53
+commands = {posargs}
54
+
55
+[flake8]
56
+# E123, E125 skipped as they are invalid PEP-8.
57
+# E265 deals with spaces inside of comments
58
+show-source = True
59
+ignore = E123,E125,E265
60
+builtins = _

+ 12
- 0
zuul.d/layout.yaml View File

@@ -0,0 +1,12 @@
1
+- project:
2
+    templates:
3
+      - publish-to-pypi
4
+    check:
5
+      jobs:
6
+        - openstack-tox-linters
7
+    gate:
8
+      jobs:
9
+        - openstack-tox-linters
10
+    post:
11
+      jobs:
12
+        - publish-openstack-python-branch-tarball

Loading…
Cancel
Save